# $Revision: 1.160 $, $Date: 2008/08/27 23:21:06 $
# TODO
# - unpackaged:
#   /usr/share/emacs/site-lisp/po-compat.el
#   /usr/share/emacs/site-lisp/po-compat.elc
#   /usr/share/emacs/site-lisp/po-mode.el
#   /usr/share/emacs/site-lisp/po-mode.elc
#   /usr/share/emacs/site-lisp/start-po.el
#   /usr/share/emacs/site-lisp/start-po.elc
#
# Conditional build:
%bcond_without	asprintf	# without libasprintf C++ library
%bcond_with		xemacs		# without po-mode for xemacs
%bcond_without	gcj		# with Java support by gcj (preferred over javac)
%bcond_with		javac		# with Java support by some javac
%bcond_without	dotnet		# without .NET support
%bcond_with	bootstrap	# use system GLib and libcroco

%ifnarch %{ix86} %{x8664} arm hppa ppc s390 s390x
%undefine with_dotnet
%endif
%ifarch i386
# plain i386 is not supported; mono uses cmpxchg/xadd which require i486
%undefine with_dotnet
%endif

%{?with_dotnet:%include	/usr/lib/rpm/macros.mono}

%define build_java	%{?with_gcj:1}%{!?with_gcj:%{?with_javac:1}%{!?with_javac:0}}
Summary:	Utilties for program national language support
Summary(de.UTF-8):	Utilities zum Programmieren von nationaler Sprachunterstützung
Summary(es.UTF-8):	Utilitarios para el programa de soporte a lenguas locales
Summary(fr.UTF-8):	Utilitaires pour le support de la langue nationnalepar les programmes
Summary(ja.UTF-8):	マルチリンガルメッセージを生成するためのGNU ライブラリ/ユーティリティ
Summary(pl.UTF-8):	Narzędzia dla programów ze wsparciem dla języków narodowych
Summary(pt_BR.UTF-8):	Utilitários para o programa de suporte de línguas locais
Summary(ru.UTF-8):	Библиотеки и утилиты для поддержки национальных языков
Summary(tr.UTF-8):	Desteği için kitaplık ve araçlar
Summary(uk.UTF-8):	Бібліотеки та утиліти для підтримки національних мов
Name:		gettext
Version:	0.17
Release:	3
License:	LGPL v2+ (libintl), GPL v3+ (tools)
Group:		Development/Tools
Source0:	http://ftp.gnu.org/gnu/gettext/%{name}-%{version}.tar.gz
# Source0-md5:	58a2bc6d39c0ba57823034d55d65d606
Patch0:		%{name}-info.patch
Patch1:		%{name}-killkillkill.patch
Patch2:		%{name}-pl.po-update.patch
Patch3:		%{name}-no_docs.patch
Patch4:		%{name}-libintl_by_gcj.patch
Patch5:		%{name}-removed_macros.patch
URL:		http://www.gnu.org/software/gettext/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.10
%{?with_gcj:BuildRequires:	gcj >= 3.0}
%{!?with_bootstrap:BuildRequires:	glib2-devel >= 2.0}
%{?with_javac:BuildRequires:	jdk >= 1.1}
%{!?with_bootstrap:BuildRequires:	libcroco-devel >= 0.6.1}
%if "%(echo %{cc_version} | grep -q '^4.[2-9]'; echo $?)" == "0"
BuildRequires:	libgomp-devel
%endif
%{?with_asprintf:BuildRequires:	libstdc++-devel}
BuildRequires:	libtool >= 1:1.4.2-9
%{?with_dotnet:BuildRequires:	mono-csharp}
BuildRequires:	rpmbuild(macros) >= 1.453
BuildRequires:	texinfo
%{?with_xemacs:BuildRequires:	xemacs}
Obsoletes:	gettext-base
Conflicts:	intltool < 0.28
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The GNU gettext package provides a set of tools and documentation for
producing multi-lingual messages in programs. Tools include a set of
conventions about how programs should be written to support message
catalogs, a directory and file naming organization for the message
catalogs, a runtime library which supports the retrieval of translated
messages, and stand-alone programs for handling the translatable and
the already translated strings. Gettext provides an easy to use
library and tools for creating, using, and modifying natural language
catalogs and is a powerful and simple method for internationalizing
programs.

%description -l de.UTF-8
Die gettext-Library enthält eine einfach anzuwendende Library und
Tools zum Erstellen, Verwenden und Ändern von
natürlichsprachigen-Kataloge. Es ist ein einfaches und
leistungsfähiges Verfahren zum Lokalisieren von Programmen.

%description -l es.UTF-8
La biblioteca gettext nos ofrece una biblioteca fácil de usar y
herramientas para creación, uso y modificación de catálogos de
lenguaje natural. Es un potente y sencillo método de
internacionalización de programas.

%description -l fr.UTF-8
La librarie gettext fournit des outils et une librairie simple à
utiliser pour manipuler, créer, et modifier des catalogues de langage
naturel. C'est une méthode simple et puissante pour internationnaliser
les programmes.

%description -l ja.UTF-8
GNU gettext
パッケージはプログラム中でマルチリンガルメッセージを生成する
ためのツールと文書を供給する。ツールはメッセージカタログをサポートするために
プログラムがどのように書かれるべきかの申し合わせと、メッセージカタログのための
ディレクトリとファイル名の組織化と、翻訳されたメッセージの埋め合わせを
サポートするためのランタイムライブラリと、翻訳可能でかつすでに翻訳された文字列
を取り扱う独立したプログラムを含んでいる。gettext
は簡単に使えるライブラリ
と自然言語のカタログを生成、使用、修正するツールと、国際化プログラム
のための強力かつシンプルな方法を供給する。

%description -l pl.UTF-8
Pakiet gettext dostarcza narzędzi do tworzenia, używania i modyfikacji
katalogów języków narodowych. To jest prosta i wydajna metoda
lokalizacji (internacjonalizacji) programów.

%description -l pt_BR.UTF-8
A biblioteca gettext oferece uma biblioteca fácil de usar e
ferramentas para criação, uso e modificação de catálogos de linguagem
natural. Ele é um poderoso e simples método de internacionalização de
programas.

%description -l ru.UTF-8
Пакет gettext содержит библиотеку и простые в использовании
инструменты для создания, использования и модификации каталогов
национальных языков. Это простой и мощный метод для
интернационализации программ.

%description -l tr.UTF-8
gettext, yerel dil desteğinde kullanılan katalogları değiştirebilmek
için, kolayca kullanılabilen kitaplık ve araçları sağlar. Bu,
programları uluslararasılaştırmak için sıkça başvurulan, kuvvetli bir
yöntemdir.

%description -l uk.UTF-8
Пакет gettext містить бібліотеку та прості у використанні інструменти
для створення, використання та модифікації каталогів національних мов.
Це простий та потужний метод для інтернаціоналізації програм.

%package devel
Summary:	Utilties for program national language support
Summary(de.UTF-8):	Utilities zum Programmieren von nationaler Sprachunterstützung
Summary(fr.UTF-8):	Utilitaires pour le support de la langue nationnalepar les programmes
Summary(pl.UTF-8):	Narzędzia dla programów ze wsparciem dla języków narodowych
Summary(tr.UTF-8):	Desteği için kitaplık ve araçlar
License:	GPL v3+
Group:		Development/Tools
Requires(post,postun):	/sbin/ldconfig
Requires:	%{name} = %{version}-%{release}
Requires:	iconv
Conflicts:	autoconf < 2.52

%description devel
The gettext library provides an easy to use library and tools for
creating, using, and modifying natural language catalogs. It is a
powerfull and simple method for internationalizing programs.

%description devel -l pl.UTF-8
Pakiet gettext dostarcza narzędzi do tworzenia, używania i modyfikacji
katalogów języków narodowych. To jest prosta i wydajna metoda
lokalizacji (internacjonalizacji) programów.

%package static
Summary:	Static gettext utility libraries
Summary(pl.UTF-8):	Statyczne biblioteki narzędziowe gettext
License:	GPL v3+
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains static versions of gettext utility libraries
(libgettextlib, libgettextsrc and libgettextpo).

%description static -l pl.UTF-8
Ten pakiet zawiera statyczne wersje bibliotek narzędziowych gettext
(libgettextlib, libgettextsrc i libgettextpo).

%package -n libasprintf
Summary:	GNU libasprintf - automatic formatted output to strings in C++
Summary(pl.UTF-8):	GNU libasprintf - automatyczne formatowanie wyjścia do łańcuchów w C++
License:	LGPL v2+
Group:		Libraries

%description -n libasprintf
This package makes the C formatted output routines (`fprintf' et al.)
usable in C++ programs, for use with the `<string>' strings and the
`<iostream>' streams.

%description -n libasprintf -l pl.UTF-8
Ten pakiet czyni funkcje C formatujące wyjście (fprintf i inne)
używalnymi w programach w C++, z łańcuchami <string> i strumieniami
<iostream>.

%package -n libasprintf-devel
Summary:	Header file and documentation for libasprintf
Summary(pl.UTF-8):	Plik nagłówkowy i dokumentacja dla libasprintf
License:	LGPL v2+
Group:		Development/Libraries
Requires:	libasprintf = %{version}-%{release}

%description -n libasprintf-devel
Header file and documentation for libasprintf.

%description -n libasprintf-devel -l pl.UTF-8
Plik nagłówkowy i dokumentacja dla libasprintf.

%package -n libasprintf-static
Summary:	Static libasprintf library
Summary(pl.UTF-8):	Statyczna biblioteka libasprintf
License:	LGPL v2+
Group:		Development/Libraries
Requires:	libasprintf-devel = %{version}-%{release}

%description -n libasprintf-static
Static libasprintf library.

%description -n libasprintf-static -l pl.UTF-8
Statyczna biblioteka libasprintf.

%package java
Summary:	Runtime classes for Java programs internationalization
Summary(pl.UTF-8):	Klasy do uruchamiania umiędzynarodowionych programów w Javie
License:	LGPL v2+
Group:		Development/Languages/Java
Requires:	%{name} = %{version}-%{release}

%description java
Runtime classes for Java programs internationalization.

%description java -l pl.UTF-8
Klasy do uruchamiania umiędzynarodowionych programów w Javie.

%package java-devel
Summary:	Development classes for Java programs internationalization
Summary(pl.UTF-8):	Klasy do umiędzynarodowiania programów w Javie dla programistów
License:	GPL v3+
Group:		Development/Tools
Requires:	%{name}-devel = %{version}-%{release}

%description java-devel
Development classes for Java programs internationalization.

%description java-devel -l pl.UTF-8
Klasy do umiędzynarodowiania programów w Javie dla programistów.

%package -n xemacs-po-mode-pkg
Summary:	Xemacs PO-mode
Summary(es.UTF-8):	Facilita la edición de archivos PO (internacionalización) con emacs
Summary(pl.UTF-8):	Tryb PO dla Xemacsa
Summary(pt_BR.UTF-8):	Facilita a edição de arquivos PO (internacionalização) com o emacs
License:	GPL v2+
Group:		Applications/Editors/Emacs
Requires:	xemacs

%description -n xemacs-po-mode-pkg
Emacs PO-mode.

%description -n xemacs-po-mode-pkg -l es.UTF-8
Este paquete suministra las herramientas para ayudar en la edición de
archivos PO, como documentado en el manual del usuario del GNU
gettext. Mira este manual para la documentación de uso, que no se
incluye aquí.

%description -n xemacs-po-mode-pkg -l pl.UTF-8
Tryb edycji PO dla emacsa.

%description -n xemacs-po-mode-pkg -l pt_BR.UTF-8
Este pacote provê as ferramentas para ajudar na edição de arquivos PO,
como documentado no manual do usuário do GNU gettext. Veja este manual
para a documentação de uso, a qual não é incluída aqui.

%package autopoint
Summary:	gettextize replacement
Summary(pl.UTF-8):	Zamiennik gettextize
License:	GPL v3+
Group:		Development/Tools
Requires:	%{name}-devel >= 0.10.35
Requires:	cvs-client

%description autopoint
The `autopoint' program copies standard gettext infrastructure files
into a source package. It extracts from a macro call of the form
`AM_GNU_GETTEXT_VERSION(VERSION)', found in the package's
`configure.in' or `configure.ac' file, the gettext version used by the
package, and copies the infrastructure files belonging to this version
into the package.

%description autopoint -l pl.UTF-8
Program autopoint kopiuje standardowe pliki infrastruktury gettexta do
pakietu źródłowego. Wyciąga użytą wersję gettexta z wywołania makra w
postaci AM_GNU_GETTEXT_VERSION(VERSION) w pliku configure.in lub
configure.ac i kopiuje do pakietu pliki infrastruktury należące do tej
wersji.

%package -n dotnet-gettext
Summary:	GNU gettext for C#
Summary(pl.UTF-8):	GNU gettext dla C#
License:	LGPL v2+ (GNU.Gettext library), GPL v3+ (tools)
Group:		Development/Tools

%description -n dotnet-gettext
GNU gettext for C#.

%description -n dotnet-gettext -l pl.UTF-8
GNU gettext dla C#.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
# patch not finished yet
#%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%{__libtoolize}
cd autoconf-lib-link
%{__aclocal} -I m4 -I ../m4
%{__autoconf}
%{__automake}
cd ../gettext-runtime
%{__libtoolize}
%{__aclocal} -I m4 -I gnulib-m4 -I ../autoconf-lib-link/m4 -I ../m4
%{__autoconf}
%{__autoheader}
%{__automake}
cd libasprintf
%{__aclocal} -I ../m4 -I ../../m4
%{__autoconf}
%{__autoheader}
%{__automake}
cd ../../gettext-tools
%{__aclocal} -I m4 -I gnulib-m4 -I libgettextpo/gnulib-m4 -I ../autoconf-lib-link/m4 -I ../gettext-runtime/m4 -I ../m4
%{__autoconf}
%{__autoheader}
%{__automake}
cd ..
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	%{?with_xemacs:--with-lispdir=%{_datadir}/xemacs-packages/lisp/po-mode} \
	--enable-nls \
	%{!?with_dotnet:--disable-csharp} \
	%{?with_dotnet:--enable-csharp=mono} \
	--without-included-gettext \
	%{?with_bootstrap:--with-included-glib} \
	%{?with_bootstrap:--with-included-libcroco}
%{__make} \
	GMSGFMT=`pwd`/gettext-tools/src/msgfmt

# msgfmt has been built, so now we can update pl.gmos
%{__make} pl.gmo -C gettext-runtime/po \
	GMSGFMT=`pwd`/gettext-tools/src/msgfmt
%{__make} pl.gmo -C gettext-tools/po \
	GMSGFMT=`pwd`/gettext-tools/src/msgfmt

%if %{with xemacs}
cd gettext-tools/misc
EMACS=%{_bindir}/xemacs ./elisp-comp ./po-mode.el
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/bin

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_bindir}/{,n}gettext $RPM_BUILD_ROOT/bin

# these static libs are removed in install-exec-clean
install gettext-tools/gnulib-lib/.libs/libgettextlib.a \
	gettext-tools/src/.libs/libgettextsrc.a $RPM_BUILD_ROOT%{_libdir}

rm -r $RPM_BUILD_ROOT%{_docdir}/gettext
rm -r $RPM_BUILD_ROOT%{_docdir}/libasprintf
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%find_lang %{name}-runtime
%find_lang %{name}-tools

%clean
rm -rf $RPM_BUILD_ROOT

%post devel
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun devel
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%post	-n libasprintf -p /sbin/ldconfig
%postun	-n libasprintf -p /sbin/ldconfig

%post -n libasprintf-devel	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun -n libasprintf-devel	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f %{name}-runtime.lang
%defattr(644,root,root,755)
%attr(755,root,root) /bin/*
%attr(755,root,root) %{_bindir}/envsubst
%{_mandir}/man1/envsubst.1*
%{_mandir}/man1/gettext.1*
%{_mandir}/man1/ngettext.1*
%dir %{_libdir}/gettext
%dir %{_datadir}/gettext

%files devel -f %{name}-tools.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS
%attr(755,root,root) %{_bindir}/*
%exclude %{_bindir}/autopoint
%exclude %{_bindir}/envsubst
%attr(755,root,root) %{_libdir}/libgettext*.so
%{_libdir}/libgettext*.la
# libgettextpo is for other programs, not used by gettext tools themselves
%attr(755,root,root) %{_libdir}/libgettextpo.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgettextpo.so.0
%attr(755,root,root) %{_libdir}/preloadable_libintl.so
%attr(755,root,root) %{_libdir}/gettext/hostname
%attr(755,root,root) %{_libdir}/gettext/project-id
%attr(755,root,root) %{_libdir}/gettext/urlget
%attr(755,root,root) %{_libdir}/gettext/user-email
%{_includedir}/gettext-po.h
%{_aclocaldir}/*
%{_infodir}/gettext*.info*
%{_mandir}/man1/gettextize.1*
%{_mandir}/man1/msg*.1*
%{_mandir}/man1/recode-sr-latin.1*
%{_mandir}/man1/xgettext.1*
%{_mandir}/man3/*

%{_datadir}/gettext/ABOUT-NLS
%attr(755,root,root) %{_datadir}/gettext/config.rpath
%{_datadir}/gettext/gettext.h
%dir %{_datadir}/gettext/intl
%{_datadir}/gettext/intl/[!c]*
%attr(755,root,root) %{_datadir}/gettext/intl/config.charset
%{_datadir}/gettext/msgunfmt.tcl
%{_datadir}/gettext/po
%dir %{_datadir}/gettext/projects
%{_datadir}/gettext/projects/index
%attr(755,root,root) %{_datadir}/gettext/projects/team-address
%dir %{_datadir}/gettext/projects/GNOME
%{_datadir}/gettext/projects/GNOME/teams.*
%attr(755,root,root) %{_datadir}/gettext/projects/GNOME/team-address
%attr(755,root,root) %{_datadir}/gettext/projects/GNOME/trigger
%dir %{_datadir}/gettext/projects/KDE
%{_datadir}/gettext/projects/KDE/teams.*
%attr(755,root,root) %{_datadir}/gettext/projects/KDE/team-address
%attr(755,root,root) %{_datadir}/gettext/projects/KDE/trigger
%dir %{_datadir}/gettext/projects/TP
%{_datadir}/gettext/projects/TP/teams.*
%attr(755,root,root) %{_datadir}/gettext/projects/TP/team-address
%attr(755,root,root) %{_datadir}/gettext/projects/TP/trigger
%{_datadir}/gettext/styles

%files static
%defattr(644,root,root,755)
%{_libdir}/libgettext*.a

%if %{with asprintf}
%files -n libasprintf
%defattr(644,root,root,755)
%doc gettext-runtime/libasprintf/{AUTHORS,ChangeLog,README}
%attr(755,root,root) %{_libdir}/libasprintf.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libasprintf.so.0

%files -n libasprintf-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libasprintf.so
%{_libdir}/libasprintf.la
%{_includedir}/autosprintf.h
%{_infodir}/autosprintf.info*

%files -n libasprintf-static
%defattr(644,root,root,755)
%{_libdir}/libasprintf.a
%endif

%if %{build_java}
%files java
%defattr(644,root,root,755)
%{_datadir}/gettext/libintl.jar

%files java-devel
%defattr(644,root,root,755)
%doc gettext-runtime/intl-java/javadoc2
%attr(755,root,root) %{_libdir}/gettext/gnu.gettext.DumpResource
%attr(755,root,root) %{_libdir}/gettext/gnu.gettext.GetURL
%{_datadir}/gettext/javaversion.class
%endif

%if %{with xemacs}
%files -n xemacs-po-mode-pkg
%defattr(644,root,root,755)
%dir %{_datadir}/xemacs-packages/lisp/po-mode
%{_datadir}/xemacs-packages/lisp/po-mode/*.elc
%endif

%files autopoint
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/autopoint
%{_datadir}/gettext/archive.tar.gz
%{_mandir}/man1/autopoint.1*

%if %{with dotnet}
%files -n dotnet-gettext
%defattr(644,root,root,755)
%{_libdir}/GNU.Gettext.dll
%{_libdir}/gettext/msgfmt.net.exe
%{_libdir}/gettext/msgunfmt.net.exe
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gettext.spec,v $
Revision 1.160  2008/08/27 23:21:06  glen
- unconditional undef xemacs bcond seems silly, reveerse bcond def
- include dotnet macros after they've been conditinally disabled

Revision 1.159  2008/08/27 22:46:17  glen
- check-files cleanup, ghost soname symlinks

Revision 1.158  2008/08/27 19:44:33  glen
- use cc_version macro

Revision 1.157  2008/07/21 14:10:30  megabajt
- release 3

Revision 1.156  2008/04/08 08:24:51  glen
- unify ftp.gnu.org urls

Revision 1.155  2008-03-26 00:14:32  arekm
- rel 2

Revision 1.154  2008-03-11 09:04:13  tommat
- more regeneration

Revision 1.153  2008-01-24 01:55:34  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.152  2007-12-02 09:26:58  qboosh
- R =~ s/cvs/cvs-client/

Revision 1.151  2007-11-12 19:19:15  qboosh
- bcond desc, cleanup

Revision 1.150  2007-11-10 22:24:50  draenog
- missing BRs

Revision 1.149  2007/11/10 20:47:34  draenog
- removed_macros.patch; now builds without old gettext-devel installed

Revision 1.148  2007/11/08 08:26:03  arekm
- rel 1

Revision 1.147  2007-11-07 22:21:14  qboosh
- added missing files

Revision 1.146  2007/11/07 21:44:10  qboosh
- updated info,pl.po-update patches
- dropped ac patch (just BR autoconf 2.60 for topdir AC_SUBST)
- clarified License in subpackages
- BR libgomp-devel only when using gcc 4.2+

Revision 1.145  2007/11/07 08:56:38  arekm
- initial 0.17 (info+po patches need update)

Revision 1.144  2007/10/09 15:31:11  baggins
- s/enviroment/environment/

Revision 1.143  2007/03/19 07:26:32  arekm
- rel 8; now builds even without system gettext installed

Revision 1.142  2007/03/18 15:23:37  megabajt
- release 7 to rebuild with new libgomp

Revision 1.141  2007/02/24 13:54:55  arekm
- rel 6

Revision 1.140  2007/02/19 16:35:17  arekm
- rel 5

Revision 1.139  2007/02/13 07:16:45  glen
- tabs in preamble

Revision 1.138  2007/02/12 00:48:51  baggins
- converted to UTF-8

Revision 1.137  2007/01/07 18:41:02  pluto
- fix gcj-based build ( patch from sls ), release 4.

Revision 1.136  2007/01/02 14:39:44  arekm
- BR: libgomp-devel

Revision 1.135  2006/12/09 23:33:49  glen
- no mono on i386, rel 2

Revision 1.134  2006/11/29 22:07:20  qboosh
- updated to 0.16.1
- updated pl.po-update patch, removed obsolete gettext.m4-fix patch

Revision 1.133  2006/11/22 19:52:49  qboosh
- reordered auto* regeneration to avoid aclocal errors with autoconf >2.60

Revision 1.132  2006/10/31 21:07:33  sparky
- added gettext.m4-fix patch, rel 2

Revision 1.131  2006/10/31 19:45:41  sparky
- include mono macros only if built with dotnet

Revision 1.130  2006/10/29 14:51:26  sparky
- BR: automake >= 1:1.10 (for install-html rule)

Revision 1.129  2006/10/28 21:25:05  qboosh
- updated to 0.16, updated pl.po-update patch
- needs ac >= 2.59 to build, gettextize enforces ac >= 2.52 now

Revision 1.128  2006/08/07 15:11:13  qboosh
- ready for ac 2.60

Revision 1.127  2006/08/02 00:24:51  sparky
- sed 2 patch

Revision 1.126  2006/07/28 14:17:44  sparky
- fixed: doc/Makefile.am:45: `doc_DATA' is used but `docdir' is undefined

Revision 1.125  2006/07/28 07:07:53  qboosh
- updated to 0.15, updated info,pl.po-update patches
- java enabled, use gcj by default (preferred by configure)

Revision 1.124  2006/06/22 14:54:26  qboosh
- updated to 0.14.6, updated pl.po-update patch

Revision 1.123  2005/10/28 21:43:07  jack
- BBR (BcondedBuildRequires) mono -> mono-csharp

Revision 1.122  2005/09/12 21:03:52  wolf
- fixed

Revision 1.121  2005/09/12 17:33:24  wolf
- dotnet support
- rel 2

Revision 1.120  2005/05/23 18:40:12  qboosh
- updated to 0.14.5 (format adjustments for gcc 4)

Revision 1.119  2005/05/01 22:43:25  mmazur
- rel 2 for th

Revision 1.118  2005/04/15 22:52:17  qboosh
- updated to 0.14.4

Revision 1.117  2005/03/16 23:11:11  qboosh
- updated to 0.14.3

Revision 1.116  2005/03/16 20:26:46  qboosh
- msg* utils can be used w/o autoconf - changed R:>= to C:< in -devel

Revision 1.115  2005/02/26 00:44:28  qboosh
- updated to 0.14.2, removed obsolete tempfile patch

Revision 1.114  2004/12/25 18:04:55  qboosh
- automake epoch

Revision 1.113  2004/12/08 15:56:21  qboosh
- fixed ac/am regeneration

Revision 1.112  2004/11/08 09:37:03  krolik
- tempfile bugfix, rel. 4

Revision 1.111  2004/10/19 09:56:06  qboosh
- java utils moved to -java-devel, now -devel doesn't depend on libgcj; release 3

Revision 1.110  2004/09/01 21:20:16  qboosh
- don't remove en@boldquot,en@quot locales

Revision 1.109  2004/08/31 09:00:56  snurf
- typos / formatting / etc.

Revision 1.108  2004/02/12 09:58:08  qboosh
- rename no->nb; strict internal deps; release 2

Revision 1.107  2004/01/30 19:25:39  qboosh
- updated to 0.14.1 (just configure bugfix)

Revision 1.106  2004/01/29 21:41:14  qboosh
- use _aclocaldir macro

Revision 1.105  2004/01/29 21:30:29  qboosh
- updated to 0.14
- updated info patch, removed obsolete am18,pl.po-update patches

Revision 1.104  2004/01/02 17:23:09  jajcus
- Release: 1 (STBR after AMD64 fixes)

Revision 1.103  2003/12/19 00:01:47  arekm
- use latest libtool.m4 - fixes build on amd64

Revision 1.102  2003/12/18 23:29:21  qboosh
- updated to 0.13.1
- updated pl.po-update patch (to official versions)
- added am18 patch to fix build using automake 1.8

Revision 1.101  2003/12/08 15:13:15  wiget
- conflict with old intltool
- release 0.2

Revision 1.100  2003/12/01 19:54:15  qboosh
- added URL

Revision 1.99  2003/12/01 15:41:27  qboosh
- started update to 0.13
- updated info and pl.po-update patches, removed no longer needed aclocal patch
- new-style bconds

Revision 1.98  2003/08/22 23:55:31  mmazur
- building without xemacs (doesn't work) + bumped rel for Ac

Revision 1.97  2003/06/10 07:38:47  qboosh
- libstdc++-devel not required if _without_libasprintf

Revision 1.96  2003/06/09 19:37:00  cieciwa
- added _wirhout_asprintf bcond.

Revision 1.95  2003/06/08 10:43:12  qboosh
- updated aclocal and pl.po-update patches
- some fixes (in ac/am rebuilding and msgfmt running) to avoid BR gettext-devel
- release 0.2 (for testing)

Revision 1.94  2003/06/07 23:49:02  qboosh
- separated libasprintf, WIP

Revision 1.93  2003/06/07 19:08:50  qboosh
- updated info patch
- split java into runtime and devel
- some updated, WIP

Revision 1.92  2003/06/02 09:58:43  trojan
- updated to 0.12.1

Revision 1.91  2003/05/26 16:25:01  malekith
- massive attack: adding Source-md5

Revision 1.90  2003/05/25 05:47:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.89  2003/05/20 14:16:11  trojan
- started updating to 0.12
- fixed %files
- updated patches (killkillkill, aclocal)
- removed outdated patches (jbk, gettextize_fix)

Revision 1.88  2003/05/19 20:05:45  kloczek
- removed missing-top_builddir patch (not neccassary .. I'm not fully undestand
  how new gettext works).

Revision 1.87  2003/05/19 08:43:40  trojan
- BR: automake >= 1.7.5 (NOW BUILDS!)

Revision 1.86  2003/04/22 04:46:54  kloczek
- release 6: bug fixes and cleanups,
- added issing-top_builddir patch which adds "top_builddir = @top_builddir@"
  in po/Makefile.in.in ($(top_builddir) is used in thi this file but nowhere
  defined and without this run make in gettextized project po/ directory
  fails with not finding config.status in "/",
- added no_docs patch which removes docs/Makefile.am targets for
  generate ps, dvi documentation (all this stuff is autogenerated by automake)
  and also html (better will be remove this and start talks on adding this kind
  targets with automake people).

Revision 1.85  2003/04/02 23:25:49  kloczek
- merge translations from KSI and Kondara.

Revision 1.84  2003/02/20 12:03:24  qboosh
- remove en@*quot locales, not supported by glibc

Revision 1.83  2003/01/31 22:20:41  aniou
- corrected description (s/internationalizacji/internacjonalizacji/)

Revision 1.82  2002/12/21 16:34:44  pbern
- Add more BR

Revision 1.81  2002/12/13 15:24:03  ankry
- adapterized

Revision 1.80  2002/12/12 15:11:29  qboosh
- fixed last change

Revision 1.79  2002/12/12 14:57:27  qboosh
- no java by default - doesn't work with gcj/gij

Revision 1.78  2002/12/02 11:06:18  ankry
- massive cleaning

Revision 1.77  2002/11/25 14:13:04  ankry
- massive attack: no need for 755 for *.la

Revision 1.76  2002/11/24 22:54:23  qboosh
- arrrrgh - gettextize-fix patch (fix for AM_GNU_GETTEXT_VERSION breakage)
- release 4

Revision 1.75  2002/11/08 23:34:31  qboosh
- added pl.po-update patch, release 3

Revision 1.74  2002/11/05 09:04:49  qboosh
- moved autopoint(1) manual to proper package

Revision 1.73  2002/10/30 16:30:10  mmazur
- new gettext on HEAD

Revision 1.67.2.7  2002/10/20 20:21:01  qboosh
- added pl description for autopoint

Revision 1.67.2.6  2002/10/15 12:41:33  wiget
- release 2
- move autopoint to separate subpackage
- simplify --without java and --without xemacs bconds

Revision 1.67.2.5  2002/08/15 20:38:23  wolf
- 0.11.5

Revision 1.67.2.4  2002/08/06 11:11:15  qboosh
- cleanup

Revision 1.67.2.3  2002/07/31 18:53:32  qboosh
- added missing file (ulonglong.m4)
- killkillkill patch - kill non-interactive gettextize, VERY stupid idea!!!
- release 2

Revision 1.67.2.2  2002/07/28 22:16:57  qboosh
- updated to 0.11.4, updated aclocal patch (with hack for automake 1.6.x
  added - s/gt_PROG_LEX/gt_AM_PROG_LEX/)

Revision 1.67.2.1  2002/05/26 09:15:49  qboosh
- updated to 0.11.2, updated aclocal,info patches
- dml patch NOT updated (internal API changed)
- this version contains Java support - added subpackage and bcond

Revision 1.67  2002/05/21 23:13:08  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
      s/^autoconf/\%\{__autoconf\}/"

Revision 1.66  2002/04/25 16:22:32  arturs
- fixed a small typo

Revision 1.65  2002/03/10 08:15:52  marcus
- added Obsoletes: gettext-base for upgrading from mdk
- rel.2.

Revision 1.64  2002/03/02 10:21:34  kloczek
- another fix.

Revision 1.63  2002/03/02 10:20:39  kloczek
- fix merge translatins.

Revision 1.62  2002/03/02 10:03:18  kloczek
- merge translations from Comnectiva and some minor changes.

Revision 1.61  2002/03/02 09:31:00  misiek
- devel subpackage R: iconv

Revision 1.60  2002/02/23 02:17:44  kloczek
- adapterized.

Revision 1.59  2002/02/22 23:28:56  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.58  2002/01/18 02:13:02  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.57  2001/10/11 21:21:18  qboosh
- removed obsolete ac250 patch

Revision 1.56  2001/10/10 12:18:35  malekith
- gettext-devel requiers gettext-devel-%{version}-%{release}, not only %{version}

Revision 1.55  2001/10/08 16:09:06  misiek
- updated to 0.10.40; am/ac patch still needed? (commented out)

Revision 1.54  2001/07/26 05:42:07  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.52  2001/06/29 14:45:26  wiget
- relesase 3; fixes for autoconf 2.50; BuildRequire autoconf >= 2.50

Revision 1.51  2001/06/04 21:54:43  kloczek
- release 2.

Revision 1.50  2001/06/04 16:09:21  misiek
- ability to build without xemacs support (added due to some not so kind requests)

Revision 1.49  2001/06/04 14:43:10  baggins
- xemacs crap is OUT! I'm not going fscking huge _editor_
  to build this package. If you want it - do it properly.

Revision 1.48  2001/06/01 08:09:49  misiek
- removed obsolete m4 patch
- added manual pages
- new subpackage with xemacs po-mode
- updated to 0.10.38

Revision 1.47  2001/04/20 08:10:46  misiek
- 0.10.37 bugfix release

Revision 1.46  2001/04/03 23:21:40  kloczek
- release 3,
- info patch is back (updated),
- added gettext.m4-fix patch with reverting to old way generate po/Makefile
  (new does't work correctly).

Revision 1.45  2001/04/02 10:04:13  malekith
- dml patch is back. rel 2. stbr.

Revision 1.44  2001/04/02 09:55:54  malekith
- Fixed, I guess.

Revision 1.43  2001/03/31 16:35:44  misiek
- started update to 0.10.36; dml patch needs to be updated

Revision 1.42  2001/03/15 06:06:17  kloczek
- release 32: merged oka-plus patch from rawhide.

Revision 1.41  2001/03/09 11:24:53  malekith
- pass -a -c to automake, rel=25, stbr

Revision 1.40  2001/01/16 15:22:05  malekith
- added patch for parsing dml {{ }}. rel++

Revision 1.39  2000/12/07 20:07:17  kloczek
- cosmetics.

Revision 1.38  2000/10/12 20:19:10  kloczek
- release 24,
- merged drepper patch from RH,
- use new rpm automation.

Revision 1.37  2000/10/12 16:24:26  wiget
- BuildRequires: libtool

Revision 1.36  2000/10/12 16:21:08  wiget
- fix problem building without gettext-devel instaled

Revision 1.35  2000/09/08 02:15:50  kloczek
- release 19,
- removed m4, automake, autoconf from Requires list for gettext-devel,
- added automake, autoconf to BuildRequires list.

Revision 1.34  2000/06/09 07:54:41  kloczek
- more %{__make} macros.

Revision 1.33  2000/06/09 07:22:50  kloczek
- added using %{__make} macro.

Revision 1.32  2000/05/24 16:50:45  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.31  2000/05/18 23:29:22  kloczek
- spec adapterized.

Revision 1.30  2000/05/09 02:33:32  kloczek
- fixed Source url.

Revision 1.29  2000/05/09 02:31:35  kloczek
- release 18,
- new hack patch merged from rawhide,
- spec adapterized.

Revision 1.28  2000/05/01 20:11:40  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.27  2000/04/01 11:14:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.26  2000/03/28 16:54:17  baggins
- translated kloczkish into english

Revision 1.25  1999/12/02 14:44:52  kloczek
- release 15,
- added patch based on hacks patch from RH,
- fixed configure.in (s/AC_PROG_INSTALL/AM_PROG_INSTALL/).

Revision 1.24  1999/09/24 10:45:02  pius
- moved running of /usr/sbin/fix-info-dir to %postun
- release up

Revision 1.23  1999/09/19 09:05:40  pius
- new {un}registering procedure for info pages with using
  /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries format.

Revision 1.22  1999/08/26 17:38:20  baggins
- split into gettext and gettext-devel

Revision 1.21  1999/08/09 21:00:54  kloczek
- pass LDFLAGS="-s" to ./configure environment instead strip in %install
  binaries.

Revision 1.20  1999/08/09 09:02:02  wiget
- moved %{_bindir}/gettext to /bin/gettext (to getextize rc-scripts)
- revision up

Revision 1.19  1999/07/12 23:05:57  kloczek
- added using CVS keywords in %changelog (for automating them).
